View Issue Details

IDProjectCategoryView StatusLast Update
0004736Talerdeployment and operationspublic2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004736: set up user environments
DescriptionUser environments should have services available as https://env.taler.net/$USER/$SERVICE.

The service should run from $HOME/talerenv/, with a layout identical to the demo/test environments.

Required steps:
* per-user postgres
* nginx configuration
* adapt bootstrap script
* generation of configs and keys
TagsNo tags attached.

Activities

Christian Grothoff

2016-10-17 21:05

manager   ~0011330

DNS record(s) now exist for env.demo and env.test.taler.net (not env, not envs).

Florian Dold

2016-10-17 21:10

manager   ~0011331

Any reason for that? I don't see why we would need both ...

Florian Dold

2017-01-13 14:58

manager   ~0011631

Per user environments are now working, and rudimentarily documented at https://api.taler.net/dev-talerdotnet.html#per-user-environments

Issue History

Date Modified Username Field Change
2016-10-17 18:05 Florian Dold New Issue
2016-10-17 21:05 Christian Grothoff Note Added: 0011330
2016-10-17 21:05 Christian Grothoff Description Updated View Revisions
2016-10-17 21:10 Florian Dold Note Added: 0011331
2016-11-15 15:55 Christian Grothoff Severity minor => feature
2016-11-15 15:55 Christian Grothoff Status new => confirmed
2016-11-15 15:55 Christian Grothoff Product Version => SVN HEAD
2016-11-15 15:55 Christian Grothoff Target Version => 0.3
2017-01-13 14:57 Florian Dold Assigned To => Florian Dold
2017-01-13 14:57 Florian Dold Status confirmed => assigned
2017-01-13 14:58 Florian Dold Note Added: 0011631
2017-01-13 14:59 Florian Dold Status assigned => resolved
2017-01-13 14:59 Florian Dold Resolution open => fixed
2017-01-16 10:18 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed